Package org.eclipse.m2m.atl.core.ui.launch

# Class MainAtlTab

java.lang.Object
org.eclipse.debug.ui.AbstractLaunchConfigurationTab
org.eclipse.m2m.atl.core.ui.launch.MainAtlTab

All Implemented Interfaces:
  `org.eclipse.debug.core.IPrototypeAttributesLabelProvider`, `org.eclipse.debug.ui.ILaunchConfigurationTab`, `org.eclipse.debug.ui.ILaunchConfigurationTab2`

public class MainAtlTab extends org.eclipse.debug.ui.AbstractLaunchConfigurationTab
The main ATL tab.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`IS_LIBRARY`
Library type.
`static final int`
`IS_METAMODEL`
Metamodel type.
`static final int`
`IS_MODEL`
Model type.
`static final int`
`IS_MODULE`
Module type.
`static final int`
`IS_SOURCE`
Source type.
`static final int`
`IS_TARGET`
Target type.

## Constructor Summary

Constructors
Constructor
Description
`MainAtlTab()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.graphics.Image`
`getImage()`
`String`
`getName()`
`void`
`initializeFrom(org.eclipse.debug.core.ILaunchConfiguration configuration)`
`boolean`
`isValid(org.eclipse.debug.core.ILaunchConfiguration launchConfig)`
`void`
`launcherNameChanged(String launcherName)`
Handles launcher name change.
`void`
`performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)`
`void`
`setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)`
`void`
`superimposedChanged(List<String> superimposed)`
Handles changes in the list of superimposed modules.

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`activated, canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, deactivated, dispose, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, initializeAttributes, isDirty, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage, updateLaunchConfigurationDialog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

## Field Details

### IS_METAMODEL

public static final int IS_METAMODEL
Metamodel type.

See Also:
  - Constant Field Values

### IS_MODEL

public static final int IS_MODEL
Model type.

See Also:
  - Constant Field Values

### IS_SOURCE

public static final int IS_SOURCE
Source type.

See Also:
  - Constant Field Values

### IS_TARGET

public static final int IS_TARGET
Target type.

See Also:
  - Constant Field Values

### IS_LIBRARY

public static final int IS_LIBRARY
Library type.

See Also:
  - Constant Field Values

### IS_MODULE

public static final int IS_MODULE
Module type.

See Also:
  - Constant Field Values

## Constructor Details

### MainAtlTab

public MainAtlTab()

## Method Details

### createControl

public void createControl(org.eclipse.swt.widgets.Composite parent)

See Also:
  - `ILaunchConfigurationTab.createControl(org.eclipse.swt.widgets.Composite)`

### superimposedChanged

public void superimposedChanged(List<String> superimposed)
Handles changes in the list of superimposed modules.

Parameters:
  `superimposed` - the list of superimposed modules

### launcherNameChanged

public void launcherNameChanged(String launcherName)
Handles launcher name change.

Parameters:
  `launcherName` - the launcher name

### setDefaults

public void setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)

See Also:
  - `ILaunchConfigurationTab.setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy)`

### initializeFrom

public void initializeFrom(org.eclipse.debug.core.ILaunchConfiguration configuration)

See Also:
  - `ILaunchConfigurationTab.initializeFrom(org.eclipse.debug.core.ILaunchConfiguration)`

### performApply

public void performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)

See Also:
  - `ILaunchConfigurationTab.performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy)`

### getName

public String getName()

See Also:
  - `ILaunchConfigurationTab.getName()`

### isValid

public boolean isValid(org.eclipse.debug.core.ILaunchConfiguration launchConfig)

Specified by:
  `isValid` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `isValid` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
See Also:
  - `AbstractLaunchConfigurationTab.isValid(org.eclipse.debug.core.ILaunchConfiguration)`

### getImage

public org.eclipse.swt.graphics.Image getImage()

Specified by:
  `getImage` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `getImage` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
See Also:
  - `AbstractLaunchConfigurationTab.getImage()`